const globby = require('globby')
    , path = require('path')
    , pathMapping = require('./pathMapping');

module.exports = async function(root, patterns, mappingToFolder, mappingRef) {
    const files = await globby(patterns, {cwd: root, root: root, follow: true});
    if (mappingToFolder && mappingRef) {
        return files.map((f) => {
            return pathMapping(path.join(root, f), mappingToFolder, mappingRef);
        });
    }else {
        return files.map((f) => {
            return path.join(root, f);
        });
    }
}
