module.exports = (templateString, templateData) => {
  const nunjucks = require("nunjucks"),
    nunjuckEnv = new nunjucks.Environment([], {
      autoescape: false,
      trimBlocks: true,
      lstripBlocks: true
    });
  require("./createDefaultFilters.js")(nunjuckEnv);
  return new Promise((resolve, reject) => {
    try {
      const template = new nunjucks.Template(templateString, nunjuckEnv, true);
      const renderedString = template.render(templateData);
      resolve(renderedString);
    }catch(e) {
      reject(e);
    }
  });
};
